import request from '@/utils/request'

// 查询MmMachineLog列表
export function listMmMachineLog(query) {
    return request({
        url: '/api/v1/mm-machine-log',
        method: 'get',
        params: query
    })
}

// 查询MmMachineLog详细
export function getMmMachineLog (id) {
    return request({
        url: '/api/v1/mm-machine-log/' + id,
        method: 'get'
    })
}


// 新增MmMachineLog
export function addMmMachineLog(data) {
    return request({
        url: '/api/v1/mm-machine-log',
        method: 'post',
        data: data
    })
}

// 修改MmMachineLog
export function updateMmMachineLog(data) {
    return request({
        url: '/api/v1/mm-machine-log/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除MmMachineLog
export function delMmMachineLog(data) {
    return request({
        url: '/api/v1/mm-machine-log',
        method: 'delete',
        data: data
    })
}

export function clearAllMmMachineLog(){
    return request({
        url: '/api/v1/mm-machine-log/clear',
        method: 'delete'
    })
}

